<html ng-app="custom-webapp-ui" lang="en">
  <head>
    <!-- Load the Telegram Library -->
    <script src="https://telegram.org/js/telegram-web-app.js"></script>
    <!--Load the AngularJS Library-->
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.8.2/angular.min.js"></script>
    <script>
      //initialize the AngularJS stuff...
      angular.module("custom-webapp-ui", []).controller('CustomUIController', function CustomUIController($scope) {
        //init our slider values that we will display
        $scope.foods = [
                { name: "fruits", value: 5 },
                { name: "vegetables", value: 5 },
                { name: "meat", value: 5 },
                { name: "dairy", value: 5 }
            ];
      });
    </script>
  </head>
  <body ng-controller="CustomUIController">
    <div ng-repeat="food in foods">
      <div style="width: 100px; display: inline-block">{{food.name}} : {{food.value}}</div>
      <input style="display: inline-block" type="range" min="1" max="10" ng-model="food.value" value="{{food.value}}">
    </div>
  </body>
</html>